Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 115)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 120)
@@ -27,30 +27,28 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 68894632;
-			"PBXTemplateGeometry-F5314676015831810DCA290F" = {
-				ContentSize = "{685, 434}";
+			PBXPerProjectTemplateStateSaveDate = 69292545;
+			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
+				ContentSize = "{668, 621}";
 				LeftSlideOut = {
 					Collapsed = NO;
-					Frame = "{{0, 23}, {685, 411}}";
+					Frame = "{{0, 0}, {668, 621}}";
 					Split0 = {
-						ActiveTab = 2;
-						ActiveTabName = PBXBuildResultsModule;
 						Collapsed = NO;
-						Frame = "{{0, 0}, {685, 411}}";
+						Frame = "{{0, 0}, {668, 621}}";
 						Split0 = {
-							Frame = "{{0, 301}, {685, 110}}";
+							Frame = "{{0, 0}, {668, 621}}";
 						};
 						SplitCount = 1;
 						Tab0 = {
-							Frame = "{{0, 0}, {952, 321}}";
+							Frame = "{{0, 0}, {484, 208}}";
 						};
 						Tab1 = {
 							Debugger = {
 								Collapsed = NO;
-								Frame = "{{0, 0}, {781, 452}}";
+								Frame = "{{0, 0}, {664, 208}}";
 								Split0 = {
-									Frame = "{{0, 24}, {781, 428}}";
+									Frame = "{{0, 24}, {664, 184}}";
 									Split0 = {
-										Frame = "{{0, 0}, {383, 428}}";
+										Frame = "{{0, 0}, {325, 184}}";
 									};
 									Split1 = {
@@ -61,7 +59,7 @@
 											85,
 											Summary,
-											155.123,
+											96.123,
 										);
-										Frame = "{{392, 0}, {389, 428}}";
+										Frame = "{{334, 0}, {330, 184}}";
 									};
 									SplitCount = 2;
@@ -77,19 +75,19 @@
 								TabsVisible = YES;
 							};
-							Frame = "{{0, 0}, {781, 452}}";
+							Frame = "{{0, 0}, {664, 208}}";
 							LauncherConfigVersion = 7;
 						};
 						Tab2 = {
-							Frame = "{{0, 0}, {685, 215}}";
+							Frame = "{{0, 0}, {664, 50}}";
 							LauncherConfigVersion = 3;
 							Runner = {
-								Frame = "{{0, 0}, {685, 215}}";
+								Frame = "{{0, 0}, {664, 50}}";
 							};
 						};
 						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {687, 262}}";
-							BuildTranscriptFrame = "{{0, 271}, {687, 2}}";
+							BuildMessageFrame = "{{0, 0}, {614, 262}}";
+							BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
 							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {685, 295}}";
+							Frame = "{{0, 0}, {612, 295}}";
 						};
 						Tab4 = {
@@ -101,10 +99,10 @@
 					SplitCount = 1;
 					Tab0 = {
-						Frame = "{{0, 0}, {300, 533}}";
+						Frame = "{{0, 0}, {313, 531}}";
 						GroupTreeTableConfiguration = (
 							TargetStatusColumn,
 							18,
 							MainColumn,
-							267,
+							280,
 						);
 					};
@@ -130,5 +128,5 @@
 					};
 					Tab3 = {
-						Frame = "{{0, 0}, {200, 100}}";
+						Frame = "{{0, 0}, {200, 557}}";
 						TargetTableConfiguration = (
 							ActiveObject,
@@ -151,8 +149,8 @@
 				};
 				NavBarShownByDefault = YES;
-				StatusViewVisible = YES;
-				Template = F5314676015831810DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{7, 336}";
+				StatusViewVisible = NO;
+				Template = F5CA7ECB015C094F0DCA290F;
+				ToolbarVisible = NO;
+				WindowLocation = "{48, 189}";
 			};
 			PBXWorkspaceContents = (
@@ -162,5 +160,5 @@
 							Split0 = {
 								NavContent0 = {
-									bookmark = E1F7C613041B404E00FEF34D;
+									bookmark = E1293A53042165F100050002;
 									history = (
 										E11854FB03F27D4A00050002,
@@ -196,5 +194,4 @@
 										E16C834E03F759D800050002,
 										E16C834F03F759D800050002,
-										E1C59B0303FDE6DD00050002,
 										E1ABE98F040D4E8F00050002,
 										E1ABE990040D4E8F00050002,
@@ -211,12 +208,7 @@
 										E120D7BF0419848000050002,
 										E120D7C20419848000050002,
-										E120D7C40419848000050002,
 										E120D7C60419848000050002,
-										E1EAD7490419ECC600050002,
-										E1F7C3BB041B372700FEF34D,
-										E1F7C3BC041B372700FEF34D,
 										E1F7C3BD041B372700FEF34D,
 										E1F7C3BE041B372700FEF34D,
-										E1F7C3BF041B372700FEF34D,
 										E1F7C3C0041B372700FEF34D,
 										E1F7C604041B3F8300FEF34D,
@@ -224,5 +216,11 @@
 										E1F7C60E041B404E00FEF34D,
 										E1F7C60F041B404E00FEF34D,
-										E1EAD7470419ECC600050002,
+										E144826E041D4AB700050002,
+										E144826F041D4AB700050002,
+										E1448270041D4AB700050002,
+										E1373452041FE49500050002,
+										E1293A4F042165F100050002,
+										E1293A50042165F100050002,
+										E1EAD7490419ECC600050002,
 									);
 									prevStack = (
@@ -477,4 +475,10 @@
 										E1F7C611041B404E00FEF34D,
 										E1F7C612041B404E00FEF34D,
+										E1448271041D4AB700050002,
+										E1448272041D4AB700050002,
+										E1448273041D4AB700050002,
+										E1373453041FE49500050002,
+										E1293A51042165F100050002,
+										E1293A52042165F100050002,
 									);
 								};
@@ -642,5 +646,5 @@
 				},
 			);
-			PBXWorkspaceStateSaveDate = 68894632;
+			PBXWorkspaceStateSaveDate = 69292545;
 		};
 		perUserProjectItems = {
@@ -707,5 +711,4 @@
 			E120D7BF0419848000050002 = E120D7BF0419848000050002;
 			E120D7C20419848000050002 = E120D7C20419848000050002;
-			E120D7C40419848000050002 = E120D7C40419848000050002;
 			E120D7C60419848000050002 = E120D7C60419848000050002;
 			E120D7C70419848000050002 = E120D7C70419848000050002;
@@ -785,4 +788,17 @@
 			E120D8170419848000050002 = E120D8170419848000050002;
 			E120D8180419848000050002 = E120D8180419848000050002;
+			E1293A4F042165F100050002 = E1293A4F042165F100050002;
+			E1293A50042165F100050002 = E1293A50042165F100050002;
+			E1293A51042165F100050002 = E1293A51042165F100050002;
+			E1293A52042165F100050002 = E1293A52042165F100050002;
+			E1293A53042165F100050002 = E1293A53042165F100050002;
+			E1373452041FE49500050002 = E1373452041FE49500050002;
+			E1373453041FE49500050002 = E1373453041FE49500050002;
+			E144826E041D4AB700050002 = E144826E041D4AB700050002;
+			E144826F041D4AB700050002 = E144826F041D4AB700050002;
+			E1448270041D4AB700050002 = E1448270041D4AB700050002;
+			E1448271041D4AB700050002 = E1448271041D4AB700050002;
+			E1448272041D4AB700050002 = E1448272041D4AB700050002;
+			E1448273041D4AB700050002 = E1448273041D4AB700050002;
 			E157EE6D03F059E300050002 = E157EE6D03F059E300050002;
 			E157EE6F03F059E300050002 = E157EE6F03F059E300050002;
@@ -916,10 +932,8 @@
 			E1BFDA5C0418987900050002 = E1BFDA5C0418987900050002;
 			E1BFDA5D0418987900050002 = E1BFDA5D0418987900050002;
-			E1C59B0303FDE6DD00050002 = E1C59B0303FDE6DD00050002;
 			E1C59B0403FDE6DD00050002 = E1C59B0403FDE6DD00050002;
 			E1DEF10F03FF95C900050002 = E1DEF10F03FF95C900050002;
 			E1DEF11003FF95C900050002 = E1DEF11003FF95C900050002;
 			E1DEF11103FF95C900050002 = E1DEF11103FF95C900050002;
-			E1EAD7470419ECC600050002 = E1EAD7470419ECC600050002;
 			E1EAD7490419ECC600050002 = E1EAD7490419ECC600050002;
 			E1EAD74C0419ECC600050002 = E1EAD74C0419ECC600050002;
@@ -931,9 +945,6 @@
 			E1F6E3B0040BD0C700050002 = E1F6E3B0040BD0C700050002;
 			E1F6E3B1040BD0C700050002 = E1F6E3B1040BD0C700050002;
-			E1F7C3BB041B372700FEF34D = E1F7C3BB041B372700FEF34D;
-			E1F7C3BC041B372700FEF34D = E1F7C3BC041B372700FEF34D;
 			E1F7C3BD041B372700FEF34D = E1F7C3BD041B372700FEF34D;
 			E1F7C3BE041B372700FEF34D = E1F7C3BE041B372700FEF34D;
-			E1F7C3BF041B372700FEF34D = E1F7C3BF041B372700FEF34D;
 			E1F7C3C0041B372700FEF34D = E1F7C3C0041B372700FEF34D;
 			E1F7C3C2041B372700FEF34D = E1F7C3C2041B372700FEF34D;
@@ -956,5 +967,4 @@
 			E1F7C611041B404E00FEF34D = E1F7C611041B404E00FEF34D;
 			E1F7C612041B404E00FEF34D = E1F7C612041B404E00FEF34D;
-			E1F7C613041B404E00FEF34D = E1F7C613041B404E00FEF34D;
 		};
 		projectwideBuildSettings = {
@@ -1714,14 +1724,4 @@
 		vrLoc = 0;
 	};
-	E120D7C40419848000050002 = {
-		fRef = E1CBC99803E7602700050002;
-		isa = PBXTextBookmark;
-		name = "English: 96";
-		rLen = 0;
-		rLoc = 3113;
-		rType = 0;
-		vrLen = 1386;
-		vrLoc = 0;
-	};
 	E120D7C60419848000050002 = {
 		fRef = E1BF15A403DBAA5600050002;
@@ -2449,5 +2449,5 @@
 		rLoc = 151;
 		rType = 0;
-		vrLen = 238;
+		vrLen = 234;
 		vrLoc = 0;
 	};
@@ -2493,4 +2493,54 @@
 		path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/Headers/InternetConfig.h;
 		refType = 0;
+	};
+	E1293A4F042165F100050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 46";
+		rLen = 0;
+		rLoc = 1513;
+		rType = 0;
+		vrLen = 1594;
+		vrLoc = 640;
+	};
+	E1293A50042165F100050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: 147";
+		rLen = 0;
+		rLoc = 4983;
+		rType = 0;
+		vrLen = 1626;
+		vrLoc = 4115;
+	};
+	E1293A51042165F100050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 46";
+		rLen = 0;
+		rLoc = 1513;
+		rType = 0;
+		vrLen = 1594;
+		vrLoc = 640;
+	};
+	E1293A52042165F100050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: 147";
+		rLen = 0;
+		rLoc = 4983;
+		rType = 0;
+		vrLen = 1626;
+		vrLoc = 4115;
+	};
+	E1293A53042165F100050002 = {
+		fRef = E140C475040BB997009FF178;
+		isa = PBXTextBookmark;
+		name = "Japanese: 44";
+		rLen = 0;
+		rLoc = 2166;
+		rType = 0;
+		vrLen = 851;
+		vrLoc = 12619;
 	};
 	E1317A3503DF242100050002 = {
@@ -2626,4 +2676,84 @@
 		state = 1;
 	};
+	E1373452041FE49500050002 = {
+		fRef = E135625E03DC9FC200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEShared.h: 10";
+		rLen = 0;
+		rLoc = 185;
+		rType = 0;
+		vrLen = 1308;
+		vrLoc = 0;
+	};
+	E1373453041FE49500050002 = {
+		fRef = E135625E03DC9FC200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEShared.h: 10";
+		rLen = 0;
+		rLoc = 185;
+		rType = 0;
+		vrLen = 1308;
+		vrLoc = 0;
+	};
+	E144826E041D4AB700050002 = {
+		fRef = E1BF15A503DBAA5600050002;
+		isa = PBXTextBookmark;
+		name = "ui.plist: 31";
+		rLen = 0;
+		rLoc = 895;
+		rType = 0;
+		vrLen = 1316;
+		vrLoc = 0;
+	};
+	E144826F041D4AB700050002 = {
+		fRef = E14343B403DB4CF200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEE.m: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1470;
+		vrLoc = 0;
+	};
+	E1448270041D4AB700050002 = {
+		fRef = E14343B303DB4CF200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEE.h: 26";
+		rLen = 0;
+		rLoc = 1152;
+		rType = 0;
+		vrLen = 1761;
+		vrLoc = 0;
+	};
+	E1448271041D4AB700050002 = {
+		fRef = E1BF15A503DBAA5600050002;
+		isa = PBXTextBookmark;
+		name = "ui.plist: 31";
+		rLen = 0;
+		rLoc = 895;
+		rType = 0;
+		vrLen = 1316;
+		vrLoc = 0;
+	};
+	E1448272041D4AB700050002 = {
+		fRef = E14343B403DB4CF200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEE.m: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1470;
+		vrLoc = 0;
+	};
+	E1448273041D4AB700050002 = {
+		fRef = E14343B303DB4CF200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEE.h: 26";
+		rLen = 0;
+		rLoc = 1152;
+		rType = 0;
+		vrLen = 1761;
+		vrLoc = 0;
+	};
 	E14994BA03DE8A4D00050002 = {
 		fRef = F9A6987103BE1DFF00AA4DA5;
@@ -4140,14 +4270,4 @@
 		vrLoc = 1953;
 	};
-	E1C59B0303FDE6DD00050002 = {
-		fRef = E13762D203EC636D00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEBookmarks.c: ICCF_AddBookmark";
-		rLen = 0;
-		rLoc = 3887;
-		rType = 0;
-		vrLen = 1922;
-		vrLoc = 2897;
-	};
 	E1C59B0403FDE6DD00050002 = {
 		fRef = E13762D203EC636D00050002;
@@ -4190,14 +4310,4 @@
 		vrLoc = 0;
 	};
-	E1EAD7470419ECC600050002 = {
-		fRef = E1BF15A503DBAA5600050002;
-		isa = PBXTextBookmark;
-		name = "ui.plist: 22";
-		rLen = 0;
-		rLoc = 635;
-		rType = 0;
-		vrLen = 1318;
-		vrLoc = 0;
-	};
 	E1EAD7490419ECC600050002 = {
 		fRef = E140C475040BB997009FF178;
@@ -4272,24 +4382,4 @@
 		vrLoc = 1958;
 	};
-	E1F7C3BB041B372700FEF34D = {
-		fRef = E14343B403DB4CF200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEE.m: mouseDown:";
-		rLen = 0;
-		rLoc = 18064;
-		rType = 0;
-		vrLen = 1708;
-		vrLoc = 13239;
-	};
-	E1F7C3BC041B372700FEF34D = {
-		fRef = E14343B303DB4CF200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEE.h: ICCF_KeyboardAction";
-		rLen = 0;
-		rLoc = 1152;
-		rType = 0;
-		vrLen = 1761;
-		vrLoc = 0;
-	};
 	E1F7C3BD041B372700FEF34D = {
 		fRef = E165AB3603E7A7FC00050002;
@@ -4311,14 +4401,4 @@
 		vrLen = 1587;
 		vrLoc = 0;
-	};
-	E1F7C3BF041B372700FEF34D = {
-		fRef = E135625E03DC9FC200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.h: kICLastLoadedVersion";
-		rLen = 0;
-		rLoc = 693;
-		rType = 0;
-		vrLen = 1369;
-		vrLoc = 46;
 	};
 	E1F7C3C0041B372700FEF34D = {
@@ -4453,5 +4533,5 @@
 		rLoc = 44;
 		rType = 0;
-		vrLen = 238;
+		vrLen = 234;
 		vrLoc = 0;
 	};
@@ -4459,36 +4539,8 @@
 		isa = PBXTargetBookmark;
 		trg = E1BF159B03DBA71000050002;
-		uiCtxt = {
-			TOCViewDetailVisibleRect = "{{0, 0}, {433, 614}}";
-			TOCViewExpandedItems = (
-				"com.apple.target-editor-pane.settings",
-				"com.apple.target-editor-pane.settings.simple",
-				"com.apple.target-editor-pane.info-plist",
-				"com.apple.target-editor-pane.info-plist.simple",
-				"com.apple.target-editor-pane.buildphases",
-			);
-			TOCViewMasterVisibleRect = "{{0, 0}, {170, 614}}";
-			TOCViewSelectedItems = (
-				"com.apple.target-editor-pane.info-plist.simple",
-			);
-		};
 	};
 	E1F7C60E041B404E00FEF34D = {
 		isa = PBXTargetBookmark;
 		trg = F5CD5E9D02DAE2C901AA4DA5;
-		uiCtxt = {
-			TOCViewDetailVisibleRect = "{{0, 0}, {433, 614}}";
-			TOCViewExpandedItems = (
-				"com.apple.target-editor-pane.settings",
-				"com.apple.target-editor-pane.settings.simple",
-				"com.apple.target-editor-pane.info-plist",
-				"com.apple.target-editor-pane.info-plist.simple",
-				"com.apple.target-editor-pane.buildphases",
-			);
-			TOCViewMasterVisibleRect = "{{0, 0}, {170, 614}}";
-			TOCViewSelectedItems = (
-				"com.apple.target-editor-pane.info-plist.simple",
-			);
-		};
 	};
 	E1F7C60F041B404E00FEF34D = {
@@ -4505,36 +4557,8 @@
 		isa = PBXTargetBookmark;
 		trg = E1BF159B03DBA71000050002;
-		uiCtxt = {
-			TOCViewDetailVisibleRect = "{{0, 0}, {433, 614}}";
-			TOCViewExpandedItems = (
-				"com.apple.target-editor-pane.settings",
-				"com.apple.target-editor-pane.settings.simple",
-				"com.apple.target-editor-pane.info-plist",
-				"com.apple.target-editor-pane.info-plist.simple",
-				"com.apple.target-editor-pane.buildphases",
-			);
-			TOCViewMasterVisibleRect = "{{0, 0}, {170, 614}}";
-			TOCViewSelectedItems = (
-				"com.apple.target-editor-pane.info-plist.simple",
-			);
-		};
 	};
 	E1F7C611041B404E00FEF34D = {
 		isa = PBXTargetBookmark;
 		trg = F5CD5E9D02DAE2C901AA4DA5;
-		uiCtxt = {
-			TOCViewDetailVisibleRect = "{{0, 0}, {433, 614}}";
-			TOCViewExpandedItems = (
-				"com.apple.target-editor-pane.settings",
-				"com.apple.target-editor-pane.settings.simple",
-				"com.apple.target-editor-pane.info-plist",
-				"com.apple.target-editor-pane.info-plist.simple",
-				"com.apple.target-editor-pane.buildphases",
-			);
-			TOCViewMasterVisibleRect = "{{0, 0}, {170, 614}}";
-			TOCViewSelectedItems = (
-				"com.apple.target-editor-pane.info-plist.simple",
-			);
-		};
 	};
 	E1F7C612041B404E00FEF34D = {
@@ -4548,14 +4572,4 @@
 		vrLoc = 0;
 	};
-	E1F7C613041B404E00FEF34D = {
-		fRef = E1BF15A503DBAA5600050002;
-		isa = PBXTextBookmark;
-		name = "ui.plist: 14";
-		rLen = 0;
-		rLoc = 404;
-		rType = 0;
-		vrLen = 1316;
-		vrLoc = 0;
-	};
 	F57E31A00379599E01AA4DA5 = {
 		activeExec = 0;