Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 120)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 121)
@@ -27,131 +27,5 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 69292545;
-			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
-				ContentSize = "{668, 621}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 0}, {668, 621}}";
-					Split0 = {
-						Collapsed = NO;
-						Frame = "{{0, 0}, {668, 621}}";
-						Split0 = {
-							Frame = "{{0, 0}, {668, 621}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {484, 208}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {664, 208}}";
-								Split0 = {
-									Frame = "{{0, 24}, {664, 184}}";
-									Split0 = {
-										Frame = "{{0, 0}, {325, 184}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											96.123,
-										);
-										Frame = "{{334, 0}, {330, 184}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {664, 50}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 50}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {614, 262}}";
-							BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = NO;
-				Template = F5CA7ECB015C094F0DCA290F;
-				ToolbarVisible = NO;
-				WindowLocation = "{48, 189}";
-			};
+			PBXPerProjectTemplateStateSaveDate = 69304761;
 			PBXWorkspaceContents = (
 				{
@@ -160,5 +34,5 @@
 							Split0 = {
 								NavContent0 = {
-									bookmark = E1293A53042165F100050002;
+									bookmark = E1293A60042181EB00050002;
 									history = (
 										E11854FB03F27D4A00050002,
@@ -198,5 +72,4 @@
 										E1ABE991040D4E8F00050002,
 										E1669BDA04133AFF00050002,
-										E120D6A70419601400050002,
 										E120D7B20419848000050002,
 										E120D7B30419848000050002,
@@ -220,7 +93,8 @@
 										E1448270041D4AB700050002,
 										E1373452041FE49500050002,
-										E1293A4F042165F100050002,
 										E1293A50042165F100050002,
-										E1EAD7490419ECC600050002,
+										E1293A57042181EB00050002,
+										E1293A58042181EB00050002,
+										E1293A59042181EB00050002,
 									);
 									prevStack = (
@@ -481,4 +355,10 @@
 										E1293A51042165F100050002,
 										E1293A52042165F100050002,
+										E1293A5A042181EB00050002,
+										E1293A5B042181EB00050002,
+										E1293A5C042181EB00050002,
+										E1293A5D042181EB00050002,
+										E1293A5E042181EB00050002,
+										E1293A5F042181EB00050002,
 									);
 								};
@@ -646,5 +526,5 @@
 				},
 			);
-			PBXWorkspaceStateSaveDate = 69292545;
+			PBXWorkspaceStateSaveDate = 69304761;
 		};
 		perUserProjectItems = {
@@ -699,5 +579,4 @@
 			E120348C03EDEBC100000ABE = E120348C03EDEBC100000ABE;
 			E120348D03EDEBC100000ABE = E120348D03EDEBC100000ABE;
-			E120D6A70419601400050002 = E120D6A70419601400050002;
 			E120D6A90419601400050002 = E120D6A90419601400050002;
 			E120D6AA0419601400050002 = E120D6AA0419601400050002;
@@ -788,9 +667,17 @@
 			E120D8170419848000050002 = E120D8170419848000050002;
 			E120D8180419848000050002 = E120D8180419848000050002;
-			E1293A4F042165F100050002 = E1293A4F042165F100050002;
 			E1293A50042165F100050002 = E1293A50042165F100050002;
 			E1293A51042165F100050002 = E1293A51042165F100050002;
 			E1293A52042165F100050002 = E1293A52042165F100050002;
-			E1293A53042165F100050002 = E1293A53042165F100050002;
+			E1293A57042181EB00050002 = E1293A57042181EB00050002;
+			E1293A58042181EB00050002 = E1293A58042181EB00050002;
+			E1293A59042181EB00050002 = E1293A59042181EB00050002;
+			E1293A5A042181EB00050002 = E1293A5A042181EB00050002;
+			E1293A5B042181EB00050002 = E1293A5B042181EB00050002;
+			E1293A5C042181EB00050002 = E1293A5C042181EB00050002;
+			E1293A5D042181EB00050002 = E1293A5D042181EB00050002;
+			E1293A5E042181EB00050002 = E1293A5E042181EB00050002;
+			E1293A5F042181EB00050002 = E1293A5F042181EB00050002;
+			E1293A60042181EB00050002 = E1293A60042181EB00050002;
 			E1373452041FE49500050002 = E1373452041FE49500050002;
 			E1373453041FE49500050002 = E1373453041FE49500050002;
@@ -936,5 +823,4 @@
 			E1DEF11003FF95C900050002 = E1DEF11003FF95C900050002;
 			E1DEF11103FF95C900050002 = E1DEF11103FF95C900050002;
-			E1EAD7490419ECC600050002 = E1EAD7490419ECC600050002;
 			E1EAD74C0419ECC600050002 = E1EAD74C0419ECC600050002;
 			E1EAD74D0419ECC600050002 = E1EAD74D0419ECC600050002;
@@ -1598,14 +1484,4 @@
 		vrLoc = 5828;
 	};
-	E120D6A70419601400050002 = {
-		fRef = E1F6E3AC040BCC5700050002;
-		isa = PBXTextBookmark;
-		name = "Japanese: 99";
-		rLen = 0;
-		rLoc = 2721;
-		rType = 0;
-		vrLen = 1065;
-		vrLoc = 1735;
-	};
 	E120D6A90419601400050002 = {
 		fRef = E1F6E3AC040BCC5700050002;
@@ -1613,5 +1489,5 @@
 		name = "Japanese: 99";
 		rLen = 0;
-		rLoc = 2721;
+		rLoc = 2831;
 		rType = 0;
 		vrLen = 1065;
@@ -2422,5 +2298,5 @@
 		rType = 0;
 		vrLen = 0;
-		vrLoc = 13470;
+		vrLoc = 10546;
 	};
 	E120D8110419848000050002 = {
@@ -2494,5 +2370,15 @@
 		refType = 0;
 	};
-	E1293A4F042165F100050002 = {
+	E1293A50042165F100050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: 147";
+		rLen = 0;
+		rLoc = 4983;
+		rType = 0;
+		vrLen = 1626;
+		vrLoc = 4115;
+	};
+	E1293A51042165F100050002 = {
 		fRef = E1CBC99803E7602700050002;
 		isa = PBXTextBookmark;
@@ -2504,5 +2390,5 @@
 		vrLoc = 640;
 	};
-	E1293A50042165F100050002 = {
+	E1293A52042165F100050002 = {
 		fRef = E13762D203EC636D00050002;
 		isa = PBXTextBookmark;
@@ -2514,33 +2400,103 @@
 		vrLoc = 4115;
 	};
-	E1293A51042165F100050002 = {
+	E1293A57042181EB00050002 = {
+		fRef = E140C475040BB997009FF178;
+		isa = PBXTextBookmark;
+		name = "Japanese: 243";
+		rLen = 0;
+		rLoc = 9732;
+		rType = 0;
+		vrLen = 887;
+		vrLoc = 5118;
+	};
+	E1293A58042181EB00050002 = {
 		fRef = E1CBC99803E7602700050002;
 		isa = PBXTextBookmark;
-		name = "English: 46";
-		rLen = 0;
-		rLoc = 1513;
-		rType = 0;
-		vrLen = 1594;
-		vrLoc = 640;
-	};
-	E1293A52042165F100050002 = {
-		fRef = E13762D203EC636D00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEBookmarks.c: 147";
-		rLen = 0;
-		rLoc = 4983;
-		rType = 0;
-		vrLen = 1626;
-		vrLoc = 4115;
-	};
-	E1293A53042165F100050002 = {
+		name = "English: 5";
+		rLen = 110;
+		rLoc = 135;
+		rType = 0;
+		vrLen = 1386;
+		vrLoc = 0;
+	};
+	E1293A59042181EB00050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1297;
+		vrLoc = 0;
+	};
+	E1293A5A042181EB00050002 = {
 		fRef = E140C475040BB997009FF178;
 		isa = PBXTextBookmark;
-		name = "Japanese: 44";
-		rLen = 0;
-		rLoc = 2166;
-		rType = 0;
-		vrLen = 851;
-		vrLoc = 12619;
+		name = "Japanese: 243";
+		rLen = 0;
+		rLoc = 9732;
+		rType = 0;
+		vrLen = 887;
+		vrLoc = 5118;
+	};
+	E1293A5B042181EB00050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 7";
+		rLen = 31;
+		rLoc = 214;
+		rType = 0;
+		vrLen = 1386;
+		vrLoc = 0;
+	};
+	E1293A5C042181EB00050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1297;
+		vrLoc = 0;
+	};
+	E1293A5D042181EB00050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 7";
+		rLen = 31;
+		rLoc = 214;
+		rType = 0;
+		vrLen = 1386;
+		vrLoc = 0;
+	};
+	E1293A5E042181EB00050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1297;
+		vrLoc = 0;
+	};
+	E1293A5F042181EB00050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 110;
+		rLoc = 135;
+		rType = 0;
+		vrLen = 1386;
+		vrLoc = 0;
+	};
+	E1293A60042181EB00050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 11";
+		rLen = 0;
+		rLoc = 346;
+		rType = 0;
+		vrLen = 1265;
+		vrLoc = 0;
 	};
 	E1317A3503DF242100050002 = {
@@ -4066,5 +4022,5 @@
 		name = "Japanese: 78";
 		rLen = 0;
-		rLoc = 2312;
+		rLoc = 2422;
 		rType = 0;
 		vrLen = 1300;
@@ -4310,14 +4266,4 @@
 		vrLoc = 0;
 	};
-	E1EAD7490419ECC600050002 = {
-		fRef = E140C475040BB997009FF178;
-		isa = PBXTextBookmark;
-		name = "Japanese: 48";
-		rLen = 0;
-		rLoc = 2166;
-		rType = 0;
-		vrLen = 0;
-		vrLoc = 13470;
-	};
 	E1EAD74C0419ECC600050002 = {
 		fRef = E1BF15A503DBAA5600050002;
@@ -4350,5 +4296,5 @@
 		rType = 0;
 		vrLen = 0;
-		vrLoc = 13470;
+		vrLoc = 10546;
 	};
 	E1F6E3AF040BD0C700050002 = {
@@ -4367,5 +4313,5 @@
 		name = "Japanese: 8";
 		rLen = 0;
-		rLoc = 337;
+		rLoc = 447;
 		rType = 0;
 		vrLen = 1435;