Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 121)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 122)
@@ -3,5 +3,5 @@
 	29B97313FDCFA39411CA2CEA = {
 		activeBuildStyle = 4A9504CDFFE6A4B311CA0CBA;
-		activeExecutable = E15E6A7404188D6900050002;
+		activeExecutable = E1BF159D03DBA71000050002;
 		activeTarget = F5CD5E9D02DAE2C901AA4DA5;
 		addToTargets = (
@@ -27,5 +27,133 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 69304761;
+			PBXPerProjectTemplateStateSaveDate = 69308845;
+			"PBXTemplateGeometry-F5CA7EC9015C08ED0DCA290F" = {
+				ContentSize = "{665, 594}";
+				LeftSlideOut = {
+					Collapsed = NO;
+					Frame = "{{0, 0}, {665, 594}}";
+					Split0 = {
+						ActiveTab = 3;
+						ActiveTabName = PBXProjectFindModule;
+						Collapsed = NO;
+						Frame = "{{0, 0}, {665, 594}}";
+						Split0 = {
+							Frame = "{{0, 301}, {665, 293}}";
+						};
+						SplitCount = 1;
+						Tab0 = {
+							Frame = "{{0, 0}, {484, 208}}";
+						};
+						Tab1 = {
+							Debugger = {
+								Collapsed = NO;
+								Frame = "{{0, 0}, {664, 208}}";
+								Split0 = {
+									Frame = "{{0, 24}, {664, 184}}";
+									Split0 = {
+										Frame = "{{0, 0}, {325, 184}}";
+									};
+									Split1 = {
+										DebugVariablesTableConfiguration = (
+											Name,
+											123,
+											Value,
+											85,
+											Summary,
+											96.123,
+										);
+										Frame = "{{334, 0}, {330, 184}}";
+									};
+									SplitCount = 2;
+								};
+								SplitCount = 1;
+								Tab0 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								Tab1 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								TabCount = 2;
+								TabsVisible = YES;
+							};
+							Frame = "{{0, 0}, {664, 208}}";
+							LauncherConfigVersion = 7;
+						};
+						Tab2 = {
+							Frame = "{{0, 0}, {664, 50}}";
+							LauncherConfigVersion = 3;
+							Runner = {
+								Frame = "{{0, 0}, {664, 50}}";
+							};
+						};
+						Tab3 = {
+							BuildMessageFrame = "{{0, 0}, {667, 265}}";
+							BuildTranscriptFrame = "{{0, 274}, {667, 2}}";
+							BuildTranscriptFrameExpanded = YES;
+							Frame = "{{0, 0}, {665, 298}}";
+						};
+						Tab4 = {
+							Frame = "{{0, 0}, {665, 295}}";
+						};
+						TabCount = 5;
+						TabsVisible = NO;
+					};
+					SplitCount = 1;
+					Tab0 = {
+						Frame = "{{0, 0}, {313, 531}}";
+						GroupTreeTableConfiguration = (
+							TargetStatusColumn,
+							18,
+							MainColumn,
+							280,
+						);
+					};
+					Tab1 = {
+						ClassesFrame = "{{0, 0}, {280, 398}}";
+						ClassesTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXClassColumnIdentifier,
+							237,
+						);
+						Frame = "{{0, 0}, {278, 659}}";
+						MembersFrame = "{{0, 407}, {280, 252}}";
+						MembersTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXMethodColumnIdentifier,
+							236,
+						);
+					};
+					Tab2 = {
+						Frame = "{{0, 0}, {200, 100}}";
+					};
+					Tab3 = {
+						Frame = "{{0, 0}, {200, 557}}";
+						TargetTableConfiguration = (
+							ActiveObject,
+							16,
+							ObjectNames,
+							202.296,
+						);
+					};
+					Tab4 = {
+						BreakpointsTreeTableConfiguration = (
+							breakpointColumn,
+							197,
+							enabledColumn,
+							31,
+						);
+						Frame = "{{0, 0}, {250, 100}}";
+					};
+					TabCount = 5;
+					TabsVisible = NO;
+				};
+				NavBarShownByDefault = YES;
+				StatusViewVisible = NO;
+				Template = F5CA7EC9015C08ED0DCA290F;
+				ToolbarVisible = NO;
+				WindowLocation = "{350, 55}";
+			};
 			PBXWorkspaceContents = (
 				{
@@ -34,5 +162,5 @@
 							Split0 = {
 								NavContent0 = {
-									bookmark = E1293A60042181EB00050002;
+									bookmark = E1293A7404218D2D00050002;
 									history = (
 										E11854FB03F27D4A00050002,
@@ -75,6 +203,4 @@
 										E120D7B30419848000050002,
 										E120D7B40419848000050002,
-										E120D7B50419848000050002,
-										E120D7B60419848000050002,
 										E120D7BB0419848000050002,
 										E120D7BE0419848000050002,
@@ -82,5 +208,4 @@
 										E120D7C20419848000050002,
 										E120D7C60419848000050002,
-										E1F7C3BD041B372700FEF34D,
 										E1F7C3BE041B372700FEF34D,
 										E1F7C3C0041B372700FEF34D,
@@ -93,8 +218,11 @@
 										E1448270041D4AB700050002,
 										E1373452041FE49500050002,
-										E1293A50042165F100050002,
 										E1293A57042181EB00050002,
-										E1293A58042181EB00050002,
-										E1293A59042181EB00050002,
+										E1293A6404218D2D00050002,
+										E1293A6504218D2D00050002,
+										E1293A6604218D2D00050002,
+										E1293A6704218D2D00050002,
+										E1293A6804218D2D00050002,
+										E1293A6904218D2D00050002,
 									);
 									prevStack = (
@@ -361,4 +489,14 @@
 										E1293A5E042181EB00050002,
 										E1293A5F042181EB00050002,
+										E1293A6A04218D2D00050002,
+										E1293A6B04218D2D00050002,
+										E1293A6C04218D2D00050002,
+										E1293A6D04218D2D00050002,
+										E1293A6E04218D2D00050002,
+										E1293A6F04218D2D00050002,
+										E1293A7004218D2D00050002,
+										E1293A7104218D2D00050002,
+										E1293A7204218D2D00050002,
+										E1293A7304218D2D00050002,
 									);
 								};
@@ -526,5 +664,5 @@
 				},
 			);
-			PBXWorkspaceStateSaveDate = 69304761;
+			PBXWorkspaceStateSaveDate = 69308845;
 		};
 		perUserProjectItems = {
@@ -584,6 +722,4 @@
 			E120D7B30419848000050002 = E120D7B30419848000050002;
 			E120D7B40419848000050002 = E120D7B40419848000050002;
-			E120D7B50419848000050002 = E120D7B50419848000050002;
-			E120D7B60419848000050002 = E120D7B60419848000050002;
 			E120D7BB0419848000050002 = E120D7BB0419848000050002;
 			E120D7BE0419848000050002 = E120D7BE0419848000050002;
@@ -667,10 +803,7 @@
 			E120D8170419848000050002 = E120D8170419848000050002;
 			E120D8180419848000050002 = E120D8180419848000050002;
-			E1293A50042165F100050002 = E1293A50042165F100050002;
 			E1293A51042165F100050002 = E1293A51042165F100050002;
 			E1293A52042165F100050002 = E1293A52042165F100050002;
 			E1293A57042181EB00050002 = E1293A57042181EB00050002;
-			E1293A58042181EB00050002 = E1293A58042181EB00050002;
-			E1293A59042181EB00050002 = E1293A59042181EB00050002;
 			E1293A5A042181EB00050002 = E1293A5A042181EB00050002;
 			E1293A5B042181EB00050002 = E1293A5B042181EB00050002;
@@ -679,5 +812,21 @@
 			E1293A5E042181EB00050002 = E1293A5E042181EB00050002;
 			E1293A5F042181EB00050002 = E1293A5F042181EB00050002;
-			E1293A60042181EB00050002 = E1293A60042181EB00050002;
+			E1293A6404218D2D00050002 = E1293A6404218D2D00050002;
+			E1293A6504218D2D00050002 = E1293A6504218D2D00050002;
+			E1293A6604218D2D00050002 = E1293A6604218D2D00050002;
+			E1293A6704218D2D00050002 = E1293A6704218D2D00050002;
+			E1293A6804218D2D00050002 = E1293A6804218D2D00050002;
+			E1293A6904218D2D00050002 = E1293A6904218D2D00050002;
+			E1293A6A04218D2D00050002 = E1293A6A04218D2D00050002;
+			E1293A6B04218D2D00050002 = E1293A6B04218D2D00050002;
+			E1293A6C04218D2D00050002 = E1293A6C04218D2D00050002;
+			E1293A6D04218D2D00050002 = E1293A6D04218D2D00050002;
+			E1293A6E04218D2D00050002 = E1293A6E04218D2D00050002;
+			E1293A6F04218D2D00050002 = E1293A6F04218D2D00050002;
+			E1293A7004218D2D00050002 = E1293A7004218D2D00050002;
+			E1293A7104218D2D00050002 = E1293A7104218D2D00050002;
+			E1293A7204218D2D00050002 = E1293A7204218D2D00050002;
+			E1293A7304218D2D00050002 = E1293A7304218D2D00050002;
+			E1293A7404218D2D00050002 = E1293A7404218D2D00050002;
 			E1373452041FE49500050002 = E1373452041FE49500050002;
 			E1373453041FE49500050002 = E1373453041FE49500050002;
@@ -831,5 +980,4 @@
 			E1F6E3B0040BD0C700050002 = E1F6E3B0040BD0C700050002;
 			E1F6E3B1040BD0C700050002 = E1F6E3B1040BD0C700050002;
-			E1F7C3BD041B372700FEF34D = E1F7C3BD041B372700FEF34D;
 			E1F7C3BE041B372700FEF34D = E1F7C3BE041B372700FEF34D;
 			E1F7C3C0041B372700FEF34D = E1F7C3C0041B372700FEF34D;
@@ -1479,5 +1627,5 @@
 		name = "ICeCoffEEBookmarks.c: ICCF_DoBookmarkDialog";
 		rLen = 70;
-		rLoc = 6647;
+		rLoc = 6829;
 		rType = 0;
 		vrLen = 1743;
@@ -1540,24 +1688,4 @@
 		vrLoc = 3021;
 	};
-	E120D7B50419848000050002 = {
-		fRef = E13762D103EC636D00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEBookmarks.h: 13";
-		rLen = 52;
-		rLoc = 261;
-		rType = 0;
-		vrLen = 313;
-		vrLoc = 0;
-	};
-	E120D7B60419848000050002 = {
-		fRef = E165AB3503E7A7FC00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEAction.h: 24";
-		rLen = 0;
-		rLoc = 533;
-		rType = 0;
-		vrLen = 536;
-		vrLoc = 0;
-	};
 	E120D7BB0419848000050002 = {
 		fRef = E120D81B0419848000050002;
@@ -2370,5 +2498,15 @@
 		refType = 0;
 	};
-	E1293A50042165F100050002 = {
+	E1293A51042165F100050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 46";
+		rLen = 0;
+		rLoc = 1513;
+		rType = 0;
+		vrLen = 1594;
+		vrLoc = 640;
+	};
+	E1293A52042165F100050002 = {
 		fRef = E13762D203EC636D00050002;
 		isa = PBXTextBookmark;
@@ -2380,24 +2518,4 @@
 		vrLoc = 4115;
 	};
-	E1293A51042165F100050002 = {
-		fRef = E1CBC99803E7602700050002;
-		isa = PBXTextBookmark;
-		name = "English: 46";
-		rLen = 0;
-		rLoc = 1513;
-		rType = 0;
-		vrLen = 1594;
-		vrLoc = 640;
-	};
-	E1293A52042165F100050002 = {
-		fRef = E13762D203EC636D00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEBookmarks.c: 147";
-		rLen = 0;
-		rLoc = 4983;
-		rType = 0;
-		vrLen = 1626;
-		vrLoc = 4115;
-	};
 	E1293A57042181EB00050002 = {
 		fRef = E140C475040BB997009FF178;
@@ -2410,5 +2528,55 @@
 		vrLoc = 5118;
 	};
-	E1293A58042181EB00050002 = {
+	E1293A5A042181EB00050002 = {
+		fRef = E140C475040BB997009FF178;
+		isa = PBXTextBookmark;
+		name = "Japanese: 243";
+		rLen = 0;
+		rLoc = 9732;
+		rType = 0;
+		vrLen = 887;
+		vrLoc = 5118;
+	};
+	E1293A5B042181EB00050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 7";
+		rLen = 31;
+		rLoc = 214;
+		rType = 0;
+		vrLen = 1386;
+		vrLoc = 0;
+	};
+	E1293A5C042181EB00050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1297;
+		vrLoc = 0;
+	};
+	E1293A5D042181EB00050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 7";
+		rLen = 31;
+		rLoc = 214;
+		rType = 0;
+		vrLen = 1386;
+		vrLoc = 0;
+	};
+	E1293A5E042181EB00050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1297;
+		vrLoc = 0;
+	};
+	E1293A5F042181EB00050002 = {
 		fRef = E1CBC99803E7602700050002;
 		isa = PBXTextBookmark;
@@ -2420,65 +2588,25 @@
 		vrLoc = 0;
 	};
-	E1293A59042181EB00050002 = {
-		fRef = E1F6E3AC040BCC5700050002;
-		isa = PBXTextBookmark;
-		name = "Japanese: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1297;
-		vrLoc = 0;
-	};
-	E1293A5A042181EB00050002 = {
-		fRef = E140C475040BB997009FF178;
-		isa = PBXTextBookmark;
-		name = "Japanese: 243";
-		rLen = 0;
-		rLoc = 9732;
-		rType = 0;
-		vrLen = 887;
-		vrLoc = 5118;
-	};
-	E1293A5B042181EB00050002 = {
-		fRef = E1CBC99803E7602700050002;
-		isa = PBXTextBookmark;
-		name = "English: 7";
-		rLen = 31;
-		rLoc = 214;
-		rType = 0;
-		vrLen = 1386;
-		vrLoc = 0;
-	};
-	E1293A5C042181EB00050002 = {
-		fRef = E1F6E3AC040BCC5700050002;
-		isa = PBXTextBookmark;
-		name = "Japanese: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1297;
-		vrLoc = 0;
-	};
-	E1293A5D042181EB00050002 = {
-		fRef = E1CBC99803E7602700050002;
-		isa = PBXTextBookmark;
-		name = "English: 7";
-		rLen = 31;
-		rLoc = 214;
-		rType = 0;
-		vrLen = 1386;
-		vrLoc = 0;
-	};
-	E1293A5E042181EB00050002 = {
-		fRef = E1F6E3AC040BCC5700050002;
-		isa = PBXTextBookmark;
-		name = "Japanese: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1297;
-		vrLoc = 0;
-	};
-	E1293A5F042181EB00050002 = {
+	E1293A6404218D2D00050002 = {
+		fRef = E165AB3503E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEAction.h: 24";
+		rLen = 0;
+		rLoc = 533;
+		rType = 0;
+		vrLen = 536;
+		vrLoc = 0;
+	};
+	E1293A6504218D2D00050002 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEAction.c: 23";
+		rLen = 24;
+		rLoc = 789;
+		rType = 0;
+		vrLen = 1865;
+		vrLoc = 222;
+	};
+	E1293A6604218D2D00050002 = {
 		fRef = E1CBC99803E7602700050002;
 		isa = PBXTextBookmark;
@@ -2490,12 +2618,142 @@
 		vrLoc = 0;
 	};
-	E1293A60042181EB00050002 = {
+	E1293A6704218D2D00050002 = {
 		fRef = E1F6E3AC040BCC5700050002;
 		isa = PBXTextBookmark;
-		name = "Japanese: 11";
-		rLen = 0;
-		rLoc = 346;
+		name = "Japanese: 20";
+		rLen = 0;
+		rLoc = 521;
 		rType = 0;
 		vrLen = 1265;
+		vrLoc = 0;
+	};
+	E1293A6804218D2D00050002 = {
+		fRef = E13762D103EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.h: 13";
+		rLen = 52;
+		rLoc = 261;
+		rType = 0;
+		vrLen = 313;
+		vrLoc = 0;
+	};
+	E1293A6904218D2D00050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: 163";
+		rLen = 0;
+		rLoc = 5818;
+		rType = 0;
+		vrLen = 2274;
+		vrLoc = 4841;
+	};
+	E1293A6A04218D2D00050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 30";
+		rLen = 0;
+		rLoc = 766;
+		rType = 0;
+		vrLen = 1265;
+		vrLoc = 0;
+	};
+	E1293A6B04218D2D00050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: 165";
+		rLen = 0;
+		rLoc = 5938;
+		rType = 0;
+		vrLen = 1556;
+		vrLoc = 3888;
+	};
+	E1293A6C04218D2D00050002 = {
+		fRef = E165AB3503E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEAction.h: 24";
+		rLen = 0;
+		rLoc = 533;
+		rType = 0;
+		vrLen = 536;
+		vrLoc = 0;
+	};
+	E1293A6D04218D2D00050002 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEAction.c: 23";
+		rLen = 24;
+		rLoc = 789;
+		rType = 0;
+		vrLen = 1865;
+		vrLoc = 222;
+	};
+	E1293A6E04218D2D00050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: 163";
+		rLen = 0;
+		rLoc = 5818;
+		rType = 0;
+		vrLen = 2226;
+		vrLoc = 4840;
+	};
+	E1293A6F04218D2D00050002 = {
+		fRef = E1CBC99803E7602700050002;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 110;
+		rLoc = 135;
+		rType = 0;
+		vrLen = 1386;
+		vrLoc = 0;
+	};
+	E1293A7004218D2D00050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 30";
+		rLen = 0;
+		rLoc = 766;
+		rType = 0;
+		vrLen = 1265;
+		vrLoc = 0;
+	};
+	E1293A7104218D2D00050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: 163";
+		rLen = 0;
+		rLoc = 5818;
+		rType = 0;
+		vrLen = 2274;
+		vrLoc = 4841;
+	};
+	E1293A7204218D2D00050002 = {
+		fRef = E1F6E3AC040BCC5700050002;
+		isa = PBXTextBookmark;
+		name = "Japanese: 20";
+		rLen = 0;
+		rLoc = 521;
+		rType = 0;
+		vrLen = 1265;
+		vrLoc = 0;
+	};
+	E1293A7304218D2D00050002 = {
+		fRef = E13762D103EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.h: 13";
+		rLen = 52;
+		rLoc = 261;
+		rType = 0;
+		vrLen = 313;
+		vrLoc = 0;
+	};
+	E1293A7404218D2D00050002 = {
+		fRef = E13762D203EC636D00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEBookmarks.c: kICBookmarkNameTooLongErr";
+		rLen = 0;
+		rLoc = 467;
+		rType = 0;
+		vrLen = 1420;
 		vrLoc = 0;
 	};
@@ -4328,14 +4586,4 @@
 		vrLoc = 1958;
 	};
-	E1F7C3BD041B372700FEF34D = {
-		fRef = E165AB3603E7A7FC00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEAction.c: ICCF_DoURLActionMenu";
-		rLen = 0;
-		rLoc = 10752;
-		rType = 0;
-		vrLen = 1764;
-		vrLoc = 0;
-	};
 	E1F7C3BE041B372700FEF34D = {
 		fRef = E182C8F603DE817F00050002;