Index: trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj	(revision 119)
+++ trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj	(revision 129)
@@ -181,4 +181,5 @@
 				E1DEF10603FF83AC00050002,
 				E10F2A3B0402E61C00050002,
+				E11CB6E0043025F500050002,
 				089C165CFE840E0CC02AAC07,
 				E10E71F3040C335800050002,
@@ -355,4 +356,8 @@
 				E10F2A400402E71400050002,
 				E1B46FEA04057E3400050002,
+				E1F993C30436280200050002,
+				E1F993C80436310F00050002,
+				E169592B0437A4A400050002,
+				E14DEC840438969400050002,
 			);
 			isa = PBXHeadersBuildPhase;
@@ -380,4 +385,5 @@
 				E10F2A3D0402E61C00050002,
 				E10E71F5040C335800050002,
+				E11CB6E2043025F600050002,
 			);
 			isa = PBXResourcesBuildPhase;
@@ -439,4 +445,8 @@
 				E10F2A410402E71400050002,
 				E1B46FEB04057E3400050002,
+				E1F993C40436280200050002,
+				E1F993C90436310F00050002,
+				E169592C0437A4A400050002,
+				E14DEC850438969400050002,
 			);
 			isa = PBXSourcesBuildPhase;
@@ -578,4 +588,25 @@
 			runOnlyForDeploymentPostprocessing = 0;
 		};
+		E11CB6E0043025F500050002 = {
+			children = (
+				E11CB6E1043025F500050002,
+			);
+			isa = PBXVariantGroup;
+			name = Preferences.nib;
+			path = "";
+			refType = 4;
+		};
+		E11CB6E1043025F500050002 = {
+			isa = PBXFileReference;
+			name = English;
+			path = English.lproj/Preferences.nib;
+			refType = 4;
+		};
+		E11CB6E2043025F600050002 = {
+			fileRef = E11CB6E0043025F500050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
 		E1271F040000012300000028 = {
 			fileRef = E130B9AD03B7C59700000028;
@@ -653,4 +684,28 @@
 		E14DB31303B8038300000028 = {
 			fileRef = E14DB31203B8038300000028;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14DEC820438969400050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = NJRHotKeyFieldCell.h;
+			refType = 4;
+		};
+		E14DEC830438969400050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = NJRHotKeyFieldCell.m;
+			refType = 4;
+		};
+		E14DEC840438969400050002 = {
+			fileRef = E14DEC820438969400050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14DEC850438969400050002 = {
+			fileRef = E14DEC830438969400050002;
 			isa = PBXBuildFile;
 			settings = {
@@ -691,4 +746,6 @@
 				F5EE8DBA038A76AC0134BEAC,
 				F5EE8DB9038A76AC0134BEAC,
+				E16959290437A4A400050002,
+				E169592A0437A4A400050002,
 				F5F1990E036D3B3101EB0372,
 				F5F1990D036D3B3101EB0372,
@@ -733,4 +790,28 @@
 			};
 		};
+		E16959290437A4A400050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = "NSFont-NJRExtensions.h";
+			refType = 4;
+		};
+		E169592A0437A4A400050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = "NSFont-NJRExtensions.m";
+			refType = 4;
+		};
+		E169592B0437A4A400050002 = {
+			fileRef = E16959290437A4A400050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E169592C0437A4A400050002 = {
+			fileRef = E169592A0437A4A400050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
 		E17F2F3203FDF2F000050002 = {
 			fileEncoding = 4;
@@ -1310,4 +1391,52 @@
 		E1F0B26B03AEDE8600AEFBE0 = {
 			fileRef = E1F0B26903AEDE8600AEFBE0;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E1F993C10436280200050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = NJRHotKeyField.h;
+			refType = 4;
+		};
+		E1F993C20436280200050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = NJRHotKeyField.m;
+			refType = 4;
+		};
+		E1F993C30436280200050002 = {
+			fileRef = E1F993C10436280200050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E1F993C40436280200050002 = {
+			fileRef = E1F993C20436280200050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E1F993C60436310F00050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = PSPreferencesController.h;
+			refType = 4;
+		};
+		E1F993C70436310F00050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = PSPreferencesController.m;
+			refType = 4;
+		};
+		E1F993C80436310F00050002 = {
+			fileRef = E1F993C60436310F00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E1F993C90436310F00050002 = {
+			fileRef = E1F993C70436310F00050002;
 			isa = PBXBuildFile;
 			settings = {
@@ -1490,4 +1619,6 @@
 				F5F198D1036BE57401EB0372,
 				F5F198D0036BE57401EB0372,
+				E1F993C60436310F00050002,
+				E1F993C70436310F00050002,
 			);
 			isa = PBXGroup;
@@ -1543,4 +1674,8 @@
 				F560E3150357895001A4E466,
 				F560E3160357895001A4E466,
+				E1F993C10436280200050002,
+				E1F993C20436280200050002,
+				E14DEC820438969400050002,
+				E14DEC830438969400050002,
 				E13919E203B9E4E100000028,
 				E13919E303B9E4E100000028,